.btn-1 {
    background-color: #307F52;
    border: 2px solid #307F52;
    color: white !important;
    border-radius: 0;
    box-shadow: 0 3px 6px #00000029;
    padding: 7px 8px;
    font-size: 12px;
    font-family: "Open Sans", sans-serif;
    font-weight: 600;
}
    .btn-1:not(.no-hover):not(.disabled):hover {
        background-color: #00893A;
        border-color: #00893A;
    }
    .btn-1.disabled, .btn-1.disabled:hover, button.btn-1.disabled, button.btn-1.disabled:hover {
        background-color: #767676;
        border: 2px solid #767676;
        box-shadow: none;
        cursor: default;
    }

.calendar-default-1 {
    padding-right: 0px;
    text-decoration: underline;
    color: #307F52;
    float: left;
}

.btn-2 {
    border: 2px solid #307F52;
    color: #307F52;
    font-weight: 600;
    border-radius: 0;
    box-shadow: 0 3px 6px #00000029;
}

    .btn-2:hover {
        border-color: #00893A;
        color: #00893A;
    }

    .btn-2.disabled,
    .btn-2.disabled:hover {
        background-color: #FFF;
        color: #767676;
        border-color: #767676;
    }

.btn-3 {
    border: 2px solid #9e9e9e;
    color: #9e9e9e;
    border-radius: 0;
}

.btn-3.disabled,
.btn-3.disabled:hover {
    background-color: #767676;
    border-color:#767676;
}

.btn-cancel {
    color: #333333;
    font-family: "Open Sans", sans-serif;
    text-decoration: underline;
    font-weight: 600;
    border: none;
}

    .btn-cancel:hover {
        color: #CC0B00;
        text-shadow: .25px 0px 0px;
    }

.btn-4 { color: #27ae60; }

.btn-5 {
    color: #307F52 !important;
    text-decoration: underline;
    padding: 0;
}
    .btn-5:not(.disabled):hover {
        color: #00893A;
        text-shadow: .25px 0px 0px;
    }
    .btn-5.disabled,
    .btn-5.disabled:hover {
        color: #767676 !important;
        text-decoration: underline;
        text-underline-offset: initial;
    }

.btn-6 { color: #424242; text-decoration: underline; padding: 0; }

.btn-7 {
    color: #307F52;
}

.btn-red { color: #ff0000; }

.btn-3-dsb {  border: 2px solid #9e9e9e;color: #9e9e9e; cursor:default; }

.btn-txt {
    font-family: "Open Sans", sans-serif;
    text-decoration: underline;
    border: none;
    padding: 0;
    color: #333333;
}
    .btn-txt.disabled, .btn-txt.disabled:hover {
        color: #BDBDBD;
        border: none;
        background-color: transparent;
    }

.btn-warning {
    background-color: #F2180C;
    border: 2px solid #F2180C;
    color: #FFF;
    text-decoration: none;
    border-radius: 0;
    box-shadow: 0 3px 6px #00000029;
}

    .btn-warning:hover {
        background-color: #CC0B00;
        border: 2px solid #CC0B00;
        color: #FFF;
        text-shadow: none;
    }

.warning.disabled {
    color: #9e9e9e;
}
.disabled {
    cursor: default;
    box-shadow: none;
}
    .disabled.remove-row-button {
        background-color: transparent;
        border: 2px solid transparent;
    }
        .disabled.remove-row-button:hover {
            background-color: transparent;
            border: 2px solid transparent;
        }
.btn-primary-disabled {
    background-color: #DDD;
    border: 2px solid #DDD;
    color: white;
    box-shadow: none;
    cursor: default;
    border-radius: 0;
    padding-right: 8px;
    padding-left: 8px;
    font-size: 12px;
    font-family: "Open Sans", sans-serif;
    box-shadow: none;
    font-weight: 600;
}


.pd-8 { padding: 8px; }

/* #region btnsPanel */

div.btnsPanel button:first-child,
ul.btnsPanel li:first-child button {
    padding-left: 0;
    padding-right: 0;
}

div.btnsPanel button:not(:first-child):not(.btn-1),
ul.btnsPanel li:not(:first-child) button {
    padding-left: 16px;
}

.btnsPanel button {
    color: #307F52;
    font-family: "Open Sans", sans-serif;
    font-weight: 400;
}

    .btnsPanel button.selected {
        text-decoration: underline;
    }

    .btnsPanel button:not(.disabled):hover {
        color: #00893A;
        text-decoration: underline;
        text-shadow: .25px 0px 0px; /*instead of font weight to prevent shifting*/
        text-underline-offset: 3px;
    }

    .btnsPanel button.warning:not(.disabled) {
        color: #CC0B00;
    }

        .btnsPanel button.warning:not(.disabled):hover {
            color: #EB170C;
            text-decoration: underline;
            text-shadow: .25px 0px 0px;
        }

    .btnsPanel button.disabled,
    .btnsPanel button.disabled > span {
        background-color: transparent;
        color: #767676;
        cursor: default;
        border: none;
        box-shadow: none;
    }

        .btnsPanel button.disabled:not(.no-hover):hover {
            color: #DDD;
            text-decoration: none;
            background-color: transparent;
            cursor: default;
            border: none;
            box-shadow: none;
        }

.btnsPanel input[type="text"] {
    color: transparent;
}

.btnsPanel table input[type="text"] {
    color: inherit;
}

/* #endregion btnsPanel */

.nowrap{ 
    white-space: nowrap;
}